> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar separações



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /separacao
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /separacao:
    get:
      tags:
        - Separação
      summary: Listar separações
      operationId: ListarSeparacaoAction
      parameters:
        - $ref: '#/components/parameters/situacaoSeparacao'
        - $ref: '#/components/parameters/idFormaEnvio'
        - $ref: '#/components/parameters/dataInicialVenda'
        - $ref: '#/components/parameters/dataFinalVenda'
        - $ref: '#/components/parameters/orderBy'
        - $ref: '#/components/parameters/get_separacao_limit'
        - $ref: '#/components/parameters/get_separacao_offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  itens:
                    type: array
                    items:
                      $ref: '#/components/schemas/ListagemSeparacaoResponseModel'
                  paginacao:
                    $ref: '#/components/schemas/PaginatedResultModel'
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    situacaoSeparacao:
      name: situacao
      in: query
      description: |-
        Pesquisa por situacao da separação.
        - 1 - Sit Aguardando Separacao
        - 2 - Sit Separada
        - 3 - Sit Embalada
        - 4 - Sit Em Separacao
      required: false
      schema:
        enum:
          - 1
          - 2
          - 3
          - 4
      x-enumDescriptions:
        - 1 - Sit Aguardando Separacao
        - 2 - Sit Separada
        - 3 - Sit Embalada
        - 4 - Sit Em Separacao
    idFormaEnvio:
      name: idFormaEnvio
      in: query
      description: Pesquisa através do identificador da forma de envio.
      required: false
      schema:
        type: integer
    dataInicialVenda:
      name: dataInicial
      in: query
      description: Pesquisa através da data inicial dos pedidos.
      required: false
      schema:
        type: string
        example: '2023-01-01'
    dataFinalVenda:
      name: dataFinal
      in: query
      description: Pesquisa através da data final dos pedidos.
      required: false
      schema:
        type: string
        example: '2023-01-01'
    orderBy:
      name: orderBy
      in: query
      description: |-
        Define a ordenação da listagem por ordem crescente ou decrescente
        - asc - Crescente
        - desc - Descrescente
      required: false
      schema:
        enum:
          - asc
          - desc
      x-enumDescriptions:
        - asc - Crescente
        - desc - Descrescente
    get_separacao_limit:
      name: limit
      in: query
      description: Limite da paginação
      required: false
      schema:
        type: integer
        default: 100
    get_separacao_offset:
      name: offset
      in: query
      description: Offset da paginação
      required: false
      schema:
        type: integer
        default: 0
  schemas:
    ListagemSeparacaoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            situacao:
              description: |-

                - 1 - Sit Aguardando Separacao
                - 2 - Sit Separada
                - 3 - Sit Embalada
                - 4 - Sit Em Separacao
              type: string
              enum:
                - 1
                - 2
                - 3
                - 4
              x-enumDescriptions:
                - 1 - Sit Aguardando Separacao
                - 2 - Sit Separada
                - 3 - Sit Embalada
                - 4 - Sit Em Separacao
            dataCriacao:
              type: string
              nullable: true
            idOrigemVinc:
              type: integer
              nullable: true
            objOrigemVinc:
              type: string
              nullable: true
            dataEmissao:
              type: string
              nullable: true
            dataSeparacao:
              type: string
              nullable: true
            dataCheckout:
              type: string
              nullable: true
            cliente:
              $ref: '#/components/schemas/ContatoModelResponse'
            venda:
              $ref: '#/components/schemas/SeparacaoVendaResponseModel'
            notaFiscal:
              $ref: '#/components/schemas/SeparacaoNotaResponseModel'
            ecommerce:
              $ref: '#/components/schemas/EcommerceResponseModel'
            formaEnvio:
              $ref: '#/components/schemas/FormaEnvioResponseModel'
          type: object
    PaginatedResultModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            limit:
              type: integer
            offset:
              type: integer
            total:
              type: integer
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ContatoModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseContatoModel'
        - properties:
            id:
              type: integer
          type: object
    SeparacaoVendaResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            numero:
              type: integer
              nullable: true
            data:
              type: string
              nullable: true
            situacao:
              description: |-

                - 8 - Dados Incompletos
                - 0 - Aberta
                - 3 - Aprovada
                - 4 - Preparando Envio
                - 1 - Faturada
                - 7 - Pronto Envio
                - 5 - Enviada
                - 6 - Entregue
                - 2 - Cancelada
                - 9 - Nao Entregue
              type: integer
              enum:
                - 8
                - 0
                - 3
                - 4
                - 1
                - 7
                - 5
                - 6
                - 2
                - 9
              nullable: true
              x-enumDescriptions:
                - 8 - Dados Incompletos
                - 0 - Aberta
                - 3 - Aprovada
                - 4 - Preparando Envio
                - 1 - Faturada
                - 7 - Pronto Envio
                - 5 - Enviada
                - 6 - Entregue
                - 2 - Cancelada
                - 9 - Nao Entregue
          type: object
    SeparacaoNotaResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            numero:
              type: integer
              nullable: true
            dataEmissao:
              type: string
              nullable: true
            situacao:
              description: |-

                - 1 - Pendente
                - 2 - Emitida
                - 3 - Cancelada
                - 4 - Enviada Aguardando Recibo
                - 5 - Rejeitada
                - 6 - Autorizada
                - 7 - Emitida Danfe
                - 8 - Registrada
                - 9 - Enviada Aguardando Protocolo
                - 10 - Denegada
              type: integer
              enum:
                - 1
                - 2
                - 3
                - 4
                - 5
                - 6
                - 7
                - 8
                - 9
                - 10
              nullable: true
              x-enumDescriptions:
                - 1 - Pendente
                - 2 - Emitida
                - 3 - Cancelada
                - 4 - Enviada Aguardando Recibo
                - 5 - Rejeitada
                - 6 - Autorizada
                - 7 - Emitida Danfe
                - 8 - Registrada
                - 9 - Enviada Aguardando Protocolo
                - 10 - Denegada
          type: object
    EcommerceResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            nome:
              type: string
              nullable: true
            numeroPedidoEcommerce:
              type: string
              nullable: true
            numeroPedidoCanalVenda:
              type: string
              nullable: true
            canalVenda:
              type: string
              nullable: true
          type: object
    FormaEnvioResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            nome:
              type: string
              nullable: true
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
    BaseContatoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            codigo:
              type: string
              nullable: true
            fantasia:
              type: string
              nullable: true
            tipoPessoa:
              description: |-

                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
              type: string
              enum:
                - J
                - F
                - E
                - X
              nullable: true
              x-enumDescriptions:
                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
            cpfCnpj:
              type: string
              nullable: true
            inscricaoEstadual:
              type: string
              nullable: true
            rg:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            celular:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            endereco:
              $ref: '#/components/schemas/EnderecoModel'
          type: object
    EnderecoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            endereco:
              type: string
              nullable: true
            numero:
              type: string
              nullable: true
            complemento:
              type: string
              nullable: true
            bairro:
              type: string
              nullable: true
            municipio:
              type: string
              nullable: true
            cep:
              type: string
              nullable: true
            uf:
              type: string
              nullable: true
            pais:
              type: string
              nullable: true
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````